org.apache.lucene.store

## Interface RandomAccessInput

- All Known Implementing Classes:
    BufferedIndexInput, ByteArrayIndexInput, ByteBuffersDataInput, ByteBuffersIndexInput

      public interface RandomAccessInput

  Random Access Index API. Unlike `IndexInput`, this has no concept of file position, all reads are absolute. However, like IndexInput, it is only intended for use by a single thread.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte` | `readByte(long pos)` Reads a byte at the given position in the file
    `int` | `readInt(long pos)` Reads an integer at the given position in the file
    `long` | `readLong(long pos)` Reads a long at the given position in the file
    `short` | `readShort(long pos)` Reads a short at the given position in the file

- - ### Method Detail

    - #### readByte

          byte readByte(long pos)
                 throws IOException

      Reads a byte at the given position in the file
      Throws:
        `IOException`
      See Also:
        `DataInput.readByte()`

    - #### readShort

          short readShort(long pos)
                   throws IOException

      Reads a short at the given position in the file
      Throws:
        `IOException`
      See Also:
        `DataInput.readShort()`

    - #### readInt

          int readInt(long pos)
               throws IOException

      Reads an integer at the given position in the file
      Throws:
        `IOException`
      See Also:
        `DataInput.readInt()`

    - #### readLong

          long readLong(long pos)
                 throws IOException

      Reads a long at the given position in the file
      Throws:
        `IOException`
      See Also:
        `DataInput.readLong()`

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.